Kerbal Space Program - Feedback #4768

"enter" key fails to dismiss the mission summary dialog
04/27/2015 10:40 PM - nohelmet

Status: Closed

Severity: Low

Assignee:

Category: Controls and Ul

Target version:

Version: 1.0 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

This isn't a big problem, but it's the sort of polish | expect in a finished game. Let me know if the report belongs somewhere else. |
hope you don't mind this sort of report, | know it's nit-picky!

[BIKSP Version:
[/B]1.0 on OSX

[B]What Happens:
[/B]"enter" key fails to dismiss the mission summary dialog

[B]Mods / Add-Ons:
[/Blnone

[B]Steps to Replicate:
[/B]Go to VAB, pick a pod, press "launch".
Then press "recover vessel". The Mission summary dialog appears.

[B]Result:[/B]
Contrary to expectation, pressing "enter" does not dismiss the dialog (it does nothing).

[B]Fixes/Workarounds:[/B]
Move hand to mouse, click the "Done" button

[B]Other Notes/Pictures/Log Files[/B]:
"esc" doesn't dismiss the dialog either, which is correct - that matches my expectations ("esc" is for auto-pressing the cancel button
and there isn't one here).

History

#1 - 07/17/2016 09:27 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 08/14/2016 07:36 PM - Claw

| think in this case, Enter and Escape could both comfortably be used. There's nothing to accept or decline here, it's just informative. So | think Enter
and Escape could both be implemented.

#4 - 08/14/2016 11:15 PM - TriggerAu
- Status changed from Needs Clarification to Confirmed

- % Done changed from 0 to 10

#5 - 01/19/2019 12:08 AM - nestor

- Status changed from Confirmed to Resolved

#6 - 03/28/2019 03:31 AM - joshua.collins

- Status changed from Resolved to Closed
